rpms/dnsmasq/FC-4 dnsmasq-2.32-enable-dbus.patch, NONE, 1.1 dnsmasq-2.32-initscript.patch, NONE, 1.1 dnsmasq.spec, 1.4, 1.5 sources, 1.3, 1.4 dnsmasq-2.31-enable-dbus.patch, 1.1, NONE dnsmasq-2.31-initscript.patch, 1.1, NONE

Patrick Laughton (jima) fedora-extras-commits at redhat.com
Mon Jun 12 15:01:14 UTC 2006


Author: jima

Update of /cvs/extras/rpms/dnsmasq/FC-4
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv12360/FC-4

Modified Files:
	dnsmasq.spec sources 
Added Files:
	dnsmasq-2.32-enable-dbus.patch dnsmasq-2.32-initscript.patch 
Removed Files:
	dnsmasq-2.31-enable-dbus.patch dnsmasq-2.31-initscript.patch 
Log Message:

Update to 2.32


dnsmasq-2.32-enable-dbus.patch:

--- NEW FILE dnsmasq-2.32-enable-dbus.patch ---
diff -urN dnsmasq-2.32/src/config.h dnsmasq-2.32-patched/src/config.h
--- dnsmasq-2.32/src/config.h	2006-06-09 14:52:06.000000000 -0500
+++ dnsmasq-2.32-patched/src/config.h	2006-06-12 09:07:08.000000000 -0500
@@ -156,7 +156,7 @@
 /* platform independent options- uncomment to enable */
 /* #define HAVE_BROKEN_RTC */
 /* #define HAVE_ISC_READER */
-/* #define HAVE_DBUS */
+#define HAVE_DBUS
 
 #if defined(HAVE_BROKEN_RTC) && defined(HAVE_ISC_READER)
 #  error HAVE_ISC_READER is not compatible with HAVE_BROKEN_RTC

dnsmasq-2.32-initscript.patch:

--- NEW FILE dnsmasq-2.32-initscript.patch ---
diff -urN dnsmasq-2.32/rpm/dnsmasq.init dnsmasq-2.32-patched/rpm/dnsmasq.init
--- dnsmasq-2.32/rpm/dnsmasq.init	1969-12-31 18:00:00.000000000 -0600
+++ dnsmasq-2.32-patched/rpm/dnsmasq.init	2006-06-12 09:06:09.000000000 -0500
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Startup script for the DNS caching server
+#
+# chkconfig: - 99 01
+# description: This script starts your DNS caching server
+# processname: dnsmasq
+# pidfile: /var/run/dnsmasq.pid
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+dnsmasq=/usr/sbin/dnsmasq
+[ -f $dnsmasq ] || exit 0
+
+DOMAIN_SUFFIX=`dnsdomainname`
+if [ ! -z "${DOMAIN_SUFFIX}" ]; then
+  OPTIONS="-s $DOMAIN_SUFFIX"
+fi
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+  start)
+        echo -n "Starting dnsmasq: "
+        daemon $dnsmasq $OPTIONS
+	RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/dnsmasq
+        ;;
+  stop)
+        if test "x`pidof dnsmasq`" != x; then
+            echo -n "Shutting down dnsmasq: "
+            killproc dnsmasq
+        fi
+	RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/dnsmasq /var/run/dnsmasq.pid
+        ;;
+  status)
+	status dnsmasq
+	RETVAL=$?
+	;;
+  reload)
+	echo -n "Reloading dnsmasq: "
+	killproc dnsmasq -HUP
+	RETVAL=$?
+	echo
+	;;
+  restart)
+	$0 stop
+	$0 start
+	RETVAL=$?
+	;;
+  condrestart)
+	    if test "x`/sbin/pidof dnsmasq`" != x; then
+		$0 stop
+		$0 start
+		RETVAL=$?
+	    fi
+	    ;;
+  *)
+        echo "Usage: $0 {start|stop|restart|reload|condrestart|status}"
+        exit 1
+esac
+
+exit $RETVAL
+


Index: dnsmasq.spec
===================================================================
RCS file: /cvs/extras/rpms/dnsmasq/FC-4/dnsmasq.spec,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- dnsmasq.spec	8 May 2006 17:05:40 -0000	1.4
+++ dnsmasq.spec	12 Jun 2006 15:01:14 -0000	1.5
@@ -1,5 +1,5 @@
 Name:           dnsmasq
-Version:        2.31
+Version:        2.32
 Release:        1%{?dist}
 Summary:        A lightweight DHCP/caching DNS server
 
@@ -11,7 +11,7 @@
 Patch1:         http://beer.tclug.org/fedora-extras/dnsmasq/%{name}-%{version}-enable-dbus.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-%if "%{dist}" != ".fc3"
+%if "%fedora" > "3" || "%aurora" > "2"
 BuildRequires:  dbus-devel
 %endif
 
@@ -34,7 +34,7 @@
 %prep
 %setup -q
 %patch0 -p1
-%if "%{dist}" != ".fc3"
+%if "%fedora" > "3" || "%aurora" > "2"
 %patch1 -p1
 %endif
 
@@ -51,7 +51,7 @@
 	$RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d
 install src/dnsmasq $RPM_BUILD_ROOT%{_sbindir}/dnsmasq
 install dnsmasq.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/dnsmasq.conf
-%if "%{dist}" != ".fc3"
+%if "%fedora" > "3" || "%aurora" > "2"
 install dbus/dnsmasq.conf $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/
 %endif
 install rpm/dnsmasq.init $RPM_BUILD_ROOT%{_initrddir}/dnsmasq
@@ -79,7 +79,7 @@
 %defattr(-,root,root,-)
 %doc CHANGELOG COPYING FAQ doc.html setup.html UPGRADING_to_2.0 dbus/DBus-interface
 %config(noreplace) %attr(644,root,root) %{_sysconfdir}/dnsmasq.conf
-%if "%{dist}" != ".fc3"
+%if "%fedora" > "3" || "%aurora" > "2"
 %config(noreplace) %attr(644,root,root) %{_sysconfdir}/dbus-1/system.d/dnsmasq.conf
 %endif
 %{_initrddir}/dnsmasq
@@ -88,6 +88,10 @@
 
 
 %changelog
+* Mon Jun 12 2006 Patrick "Jima" Laughton <jima at beer.tclug.org> 2.32-1
+- Update from upstream
+- Patch from Dennis Gilmore fixed the conditionals to detect Aurora Linux
+
 * Mon May  8 2006 Patrick "Jima" Laughton <jima at auroralinux.org> 2.31-1
 - Removed dbus config patch (now provided upstream)
 - Patched in init script (no longer provided upstream)


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/dnsmasq/FC-4/sources,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- sources	8 May 2006 17:05:40 -0000	1.3
+++ sources	12 Jun 2006 15:01:14 -0000	1.4
@@ -1 +1 @@
-26932aec55865b5b4ffe53e7abcf9396  dnsmasq-2.31.tar.gz
+d1f593a8352db1d6ad3dccc9b775295d  dnsmasq-2.32.tar.gz


--- dnsmasq-2.31-enable-dbus.patch DELETED ---


--- dnsmasq-2.31-initscript.patch DELETED ---




More information about the fedora-extras-commits mailing list